Skip to main content
PATCH
/
contacts
/
{id}
Update a contact
curl --request PATCH \
  --url https://{your-subdomain}.neetocrm.com/api/external/v1/contacts/{id} \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <x-api-key>' \
  --data '
{
  "contact": {
    "name": "Eve",
    "email": "eve@example.com",
    "phone_number": "+1234567890",
    "company_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "owner_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "tag_ids": [
      "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "b2c3d4e5-f6a7-8901-bcde-f12345678901"
    ],
    "field_values_attributes": [
      {
        "field_id": "<string>",
        "value": "<string>"
      }
    ]
  }
}
'
{
  "contact": {
    "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "name": "Eve",
    "email": "eve@example.com",
    "phone_number": "",
    "created_at": "2025-03-15T10:30:00.000Z",
    "updated_at": "2025-03-15T10:30:00.000Z",
    "owner": null,
    "tags": [],
    "company": {
      "id": null,
      "name": null
    }
  }
}
Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Identifying your subdomain.

Headers

X-Api-Key
string
required

X-Api-Key is used to authenticate requests using an API key. Provide your API key in this header to access protected endpoints. Refer to Authentication for more information.

Path Parameters

id
string
required

The ID of the contact to update. You can get the contact id by listing all contacts using our List all contacts API.

Body

application/json
contact
object

Response

200 - application/json

Contact updated successfully.

contact
object